org.wildfly.swarm.config.management.access.syslog_handler

## Class UdpProtocol<T extends UdpProtocol<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.syslog_handler.UdpProtocol<T>

-     public class UdpProtocol<T extends UdpProtocol<T>>
      extends Object

  Configuration to append to syslog over udp/ip.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UdpProtocol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `host()` The host of the syslog server for the udp requests.
    `T` | `host(String value)` The host of the syslog server for the udp requests.
    `Integer` | `port()` The port of the syslog server for the udp requests.
    `T` | `port(Integer value)` The port of the syslog server for the udp requests.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UdpProtocol

          public UdpProtocol()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### host

          public String host()

      The host of the syslog server for the udp requests.

    - #### host

          public T host(String value)

      The host of the syslog server for the udp requests.

    - #### port

          public Integer port()

      The port of the syslog server for the udp requests.

    - #### port

          public T port(Integer value)

      The port of the syslog server for the udp requests.

Copyright © 2017 JBoss by Red Hat. All rights reserved.